### Hierarchy

- unknown
  - InputsForDepositTxResponse

## Index

### Constructors

- constructor

### Methods

- addMakerInputs
- clearMakerInputsList
- clearMakerPaymentAccountPayload
- clearSenderNodeAddress
- getAccountAgeWitnessSignatureOfPreparedDepositTx
- getAccountAgeWitnessSignatureOfPreparedDepositTx_asB64
- getAccountAgeWitnessSignatureOfPreparedDepositTx_asU8
- getCurrentDate
- getLockTime
- getMakerAccountId
- getMakerContractAsJson
- getMakerContractSignature
- getMakerInputsList
- getMakerMultiSigPubKey
- getMakerMultiSigPubKey_asB64
- getMakerMultiSigPubKey_asU8
- getMakerPaymentAccountPayload
- getMakerPayoutAddressString
- getPreparedDepositTx
- getPreparedDepositTx_asB64
- getPreparedDepositTx_asU8
- getSenderNodeAddress
- getTradeId
- getUid
- hasMakerPaymentAccountPayload
- hasSenderNodeAddress
- serializeBinary
- setAccountAgeWitnessSignatureOfPreparedDepositTx
- setCurrentDate
- setLockTime
- setMakerAccountId
- setMakerContractAsJson
- setMakerContractSignature
- setMakerInputsList
- setMakerMultiSigPubKey
- setMakerPaymentAccountPayload
- setMakerPayoutAddressString
- setPreparedDepositTx
- setSenderNodeAddress
- setTradeId
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new InputsForDepositTxResponse(): InputsForDepositTxResponse

- Inherited from jspb.Message.constructor

  #### Returns InputsForDepositTxResponse

## Methods

### addMakerInputs

- addMakerInputs(value?: RawTransactionInput, index?: number): RawTransactionInput

- - Defined in src/protobuf/pb_pb.d.ts:1184

  #### Parameters

  - ##### Optional value: RawTransactionInput

  - ##### Optional index: number

  #### Returns RawTransactionInput

### clearMakerInputsList

- clearMakerInputsList(): InputsForDepositTxResponse

- - Defined in src/protobuf/pb_pb.d.ts:1183

  #### Returns InputsForDepositTxResponse

### clearMakerPaymentAccountPayload

- clearMakerPaymentAccountPayload(): InputsForDepositTxResponse

- - Defined in src/protobuf/pb_pb.d.ts:1162

  #### Returns InputsForDepositTxResponse

### clearSenderNodeAddress

- clearSenderNodeAddress(): InputsForDepositTxResponse

- - Defined in src/protobuf/pb_pb.d.ts:1194

  #### Returns InputsForDepositTxResponse

### getAccountAgeWitnessSignatureOfPreparedDepositTx

- getAccountAgeWitnessSignatureOfPreparedDepositTx(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1199

  #### Returns string | Uint8Array

### getAccountAgeWitnessSignatureOfPreparedDepositTx_asB64

- getAccountAgeWitnessSignatureOfPreparedDepositTx_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:1201

  #### Returns string

### getAccountAgeWitnessSignatureOfPreparedDepositTx_asU8

- getAccountAgeWitnessSignatureOfPreparedDepositTx_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1200

  #### Returns Uint8Array

### getCurrentDate

- getCurrentDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:1204

  #### Returns number

### getLockTime

- getLockTime(): number

- - Defined in src/protobuf/pb_pb.d.ts:1207

  #### Returns number

### getMakerAccountId

- getMakerAccountId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1164

  #### Returns string

### getMakerContractAsJson

- getMakerContractAsJson(): string

- - Defined in src/protobuf/pb_pb.d.ts:1167

  #### Returns string

### getMakerContractSignature

- getMakerContractSignature(): string

- - Defined in src/protobuf/pb_pb.d.ts:1170

  #### Returns string

### getMakerInputsList

- getMakerInputsList(): RawTransactionInput []

- - Defined in src/protobuf/pb_pb.d.ts:1181

  #### Returns RawTransactionInput []

### getMakerMultiSigPubKey

- getMakerMultiSigPubKey(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1186

  #### Returns string | Uint8Array

### getMakerMultiSigPubKey_asB64

- getMakerMultiSigPubKey_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:1188

  #### Returns string

### getMakerMultiSigPubKey_asU8

- getMakerMultiSigPubKey_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1187

  #### Returns Uint8Array

### getMakerPaymentAccountPayload

- getMakerPaymentAccountPayload(): undefined | PaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:1159

  #### Returns undefined | PaymentAccountPayload

### getMakerPayoutAddressString

- getMakerPayoutAddressString(): string

- - Defined in src/protobuf/pb_pb.d.ts:1173

  #### Returns string

### getPreparedDepositTx

- getPreparedDepositTx(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1176

  #### Returns string | Uint8Array

### getPreparedDepositTx_asB64

- getPreparedDepositTx_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:1178

  #### Returns string

### getPreparedDepositTx_asU8

- getPreparedDepositTx_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1177

  #### Returns Uint8Array

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1191

  #### Returns undefined | NodeAddress

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1156

  #### Returns string

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:1196

  #### Returns string

### hasMakerPaymentAccountPayload

- hasMakerPaymentAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1161

  #### Returns boolean

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1193

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1210

  #### Returns Uint8Array

### setAccountAgeWitnessSignatureOfPreparedDepositTx

- setAccountAgeWitnessSignatureOfPreparedDepositTx(value: string | Uint8Array): InputsForDepositTxResponse

- - Defined in src/protobuf/pb_pb.d.ts:1202

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns InputsForDepositTxResponse

### setCurrentDate

- setCurrentDate(value: number): InputsForDepositTxResponse

- - Defined in src/protobuf/pb_pb.d.ts:1205

  #### Parameters

  - ##### value: number

  #### Returns InputsForDepositTxResponse

### setLockTime

- setLockTime(value: number): InputsForDepositTxResponse

- - Defined in src/protobuf/pb_pb.d.ts:1208

  #### Parameters

  - ##### value: number

  #### Returns InputsForDepositTxResponse

### setMakerAccountId

- setMakerAccountId(value: string): InputsForDepositTxResponse

- - Defined in src/protobuf/pb_pb.d.ts:1165

  #### Parameters

  - ##### value: string

  #### Returns InputsForDepositTxResponse

### setMakerContractAsJson

- setMakerContractAsJson(value: string): InputsForDepositTxResponse

- - Defined in src/protobuf/pb_pb.d.ts:1168

  #### Parameters

  - ##### value: string

  #### Returns InputsForDepositTxResponse

### setMakerContractSignature

- setMakerContractSignature(value: string): InputsForDepositTxResponse

- - Defined in src/protobuf/pb_pb.d.ts:1171

  #### Parameters

  - ##### value: string

  #### Returns InputsForDepositTxResponse

### setMakerInputsList

- setMakerInputsList(value: RawTransactionInput []): InputsForDepositTxResponse

- - Defined in src/protobuf/pb_pb.d.ts:1182

  #### Parameters

  - ##### value: RawTransactionInput []

  #### Returns InputsForDepositTxResponse

### setMakerMultiSigPubKey

- setMakerMultiSigPubKey(value: string | Uint8Array): InputsForDepositTxResponse

- - Defined in src/protobuf/pb_pb.d.ts:1189

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns InputsForDepositTxResponse

### setMakerPaymentAccountPayload

- setMakerPaymentAccountPayload(value?: PaymentAccountPayload ): InputsForDepositTxResponse

- - Defined in src/protobuf/pb_pb.d.ts:1160

  #### Parameters

  - ##### Optional value: PaymentAccountPayload

  #### Returns InputsForDepositTxResponse

### setMakerPayoutAddressString

- setMakerPayoutAddressString(value: string): InputsForDepositTxResponse

- - Defined in src/protobuf/pb_pb.d.ts:1174

  #### Parameters

  - ##### value: string

  #### Returns InputsForDepositTxResponse

### setPreparedDepositTx

- setPreparedDepositTx(value: string | Uint8Array): InputsForDepositTxResponse

- - Defined in src/protobuf/pb_pb.d.ts:1179

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns InputsForDepositTxResponse

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): InputsForDepositTxResponse

- - Defined in src/protobuf/pb_pb.d.ts:1192

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns InputsForDepositTxResponse

### setTradeId

- setTradeId(value: string): InputsForDepositTxResponse

- - Defined in src/protobuf/pb_pb.d.ts:1157

  #### Parameters

  - ##### value: string

  #### Returns InputsForDepositTxResponse

### setUid

- setUid(value: string): InputsForDepositTxResponse

- - Defined in src/protobuf/pb_pb.d.ts:1197

  #### Parameters

  - ##### value: string

  #### Returns InputsForDepositTxResponse

### toObject

- toObject(includeInstance?: boolean): InputsForDepositTxResponse . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1211

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns InputsForDepositTxResponse . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): InputsForDepositTxResponse

- - Defined in src/protobuf/pb_pb.d.ts:1214

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns InputsForDepositTxResponse

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: InputsForDepositTxResponse, reader: BinaryReader): InputsForDepositTxResponse

- - Defined in src/protobuf/pb_pb.d.ts:1215

  #### Parameters

  - ##### message: InputsForDepositTxResponse

  - ##### reader: BinaryReader

  #### Returns InputsForDepositTxResponse

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: InputsForDepositTxResponse, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:1213

  #### Parameters

  - ##### message: InputsForDepositTxResponse

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: InputsForDepositTxResponse ): InputsForDepositTxResponse . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1212

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: InputsForDepositTxResponse

  #### Returns InputsForDepositTxResponse . AsObject

Generated using TypeDoc